@import url('https://fonts.googleapis.com/css2?family=Archivo:wght@600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Tangerine:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:wght@300&family=Tangerine:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Varta:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Shadows+Into+Light&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@700&family=Shadows+Into+Light&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Indie+Flower&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}
html{
    scroll-behavior: smooth;
}

section{
    padding: 100px 0;
}
.max-header{
    max-width: 1300px;
    padding: 0 80px;
    margin: auto;
}
.services, .skills, .teams, .contact, footer{
    font-family: 'Poppins', sans-serif;
}
.about .about-content, 
.services .serv-content,
.skills .skills-content,
.contact .contact-content{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}
section .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 60px;
    padding-bottom: 20px;
    font-family: 'Ubuntu', sans-serif;
}
section .title::before{
    content: "";
    position: absolute;
    bottom: 0px;
    left: 50%;
    width: 180px;
    height: 3px;
    background: #111;
    transform: translateX(-50%);
}
section .title::after{
    position: absolute;
    bottom: -8px;
    left: 50%;
    font-size: 20px;
    color: rgb(58, 134, 255);
    padding: 0 5px;
    background: #fff;
    transform: translateX(-50%);
}

 /* navbar stylish */
.navbar {
    position: fixed;
    width: 100%;
    z-index: 999;
    padding: 30px 0;
    font-family:'Ubuntu', sans-serif;
    transition: all 0.3s ease;
}

.navbar.sticky{
    padding: 6px 0;
    background: #f1dca7;
}
.navbar .max-header{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.navbar .logo a{
    color: white;
    font-size: 45px;
    font-weight: 600;
    font-family:'Caveat', cursive;
}
.navbar .logo a span{
    color: rgb(58, 134, 255);
    transition: all 0.3s ease;
}
.navbar.sticky .logo a{
    color: #242423;
}
.navbar.sticky .logo a span{
color: #242423;
}
.navbar.sticky .menu li a{
    color: #242423;
}

.navbar .menu li{
    list-style: none;
    display: inline-block;
}

.navbar .menu li a {
    display: block;
    color: white;
    font-size: 18px;
    font-weight: 500;
    margin-left: 25px;
    transition: color 0.5s ease;
}

.navbar .menu li a:hover{
    color:rgb(58, 134, 255);
}



/* Menu style */
.menu-btn{
    color: white;
    font-size: 23px;
    cursor: pointer;
    display: none;
}
.scroll-up-btn{
    position: fixed;
    height: 45px;
    width: 42px;
    background: rgb(58, 134, 255);
    right: 30px;
    bottom: 10px;
    text-align: center;
    line-height: 45px;
    color: #fff;
    z-index: 9999;
    font-size: 30px;
    border-radius: 6px;
    border-bottom-width: 2px;
    cursor: pointer;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease;
}
.scroll-up-btn.show{
    bottom: 30px;
    opacity: 1;
    pointer-events: auto;
}
.scroll-up-btn:hover{
    filter: brightness(90%);
}

/* seccion home */
.home {
    display: flex;
    background-image: url('home.jpg');
    height: 100vh;
    color: white;
    min-height: 500px;
    background-size: cover;
    background-attachment: fixed;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

.home .max-header{
    margin: auto 0 auto 30px;
}

.home .contenido-inicio .text-1 {
    font-family: 'Indie Flower', cursive;
    font-size: 31px;
}

.home .contenido-inicio .text-2 {
    font-size: 75px;
    font-weight: 600px;
    margin-left: -3px;
}

.home .contenido-inicio .text-3 {
    font-family: 'Indie Flower', cursive;
    font-size: 40px;
    margin: 5px 0;
}

.home .contenido-inicio .text-3 span {
    font-family: 'Indie Flower', cursive;
    color:rgb(238, 198, 67);
    font-weight: 500;
}
.home .contenido-inicio a{
    display: inline-block;
    background: rgb(58, 134, 255);
    color: white;
    font-size: 25px;
    padding: 12px 36px;
    margin-top: 20px;
    font-weight: 400;
    border-radius: 6px;
    border: 2px solid aqua;
    transition: all 0.7s ease;
}

.home .contenido-inicio a:hover{
    color: white;
    background: none;
}


/* About section stylish */
section{
    padding: 70px 0;
}
.about{
    font-family:'Poppins', sans-serif;
}
.about .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 50px;
    padding-bottom: 20px;
    font-family: 'Poppins', sans-serif;
}
.about .title::before{
    content: "";
    position: absolute;
    bottom: 0px;
    left: 50%;
    width: 180px;
    height: 3px;
    background: rgb(0, 0, 0);
    transform: translateX(-50%);
}    
.about .title::after{
    content: "Who i'm";
    position: absolute;
    bottom: -14px;
    left: 50%;
    font-size: 20px;
    color: rgb(238, 198, 67);
    padding: 2px;
    background:white;
    transform: translateX(-50%);
}
.about .about-content{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}
.about .about-content .left{
    width: 45%;
}
.about .about-content .left img{
    height: 400px;
    width: 400px;
    object-fit: cover;
    border-radius: 6px;
}
.about .about-content .right{
    width: 55%;
}
.about .about-content .right .text{
    font-size: 23px;
    font-weight: 600;
    margin-bottom: 10px;
}
.about .about-content .right .text span{
    color: rgb(58, 134, 255);
}

.about .about-content .right p{
    text-align: justify;
    font-size: 18px;
    font-family: 'Varta', sans-serif;

}

.about .about-content .right a{
    display: inline-block;
    background: rgb(238, 198, 67);
    color: white;
    font-size: 18px;
    font-weight: 500;
    padding: 10px 30px;
    margin-top: 20px;
    border-radius: 25px;
    border: 2px solid rgb(238, 198, 67);
    transition: all 0.7s ease;
}
.about .about-content .right a:hover{
    color: white;
    background: rgb(58, 134, 255);
}


/* services section styling */
.services, .teams{
    color:#fff;
    background: #111;
}
.services .title::before,
.teams .title::before{
    background: #fff;
}
.services .title::after,
.teams .title::after{
    background: #111;
    color: rgb(238, 198, 67);
    content: "what i provide";
}
.services .serv-content .card{
    width: calc(33% - 20px);
    background: #222;
    text-align: center;
    border-radius: 6px;
    padding: 20px 25px;
    cursor: pointer;
    transition: all 0.3s ease;
}
.services .serv-content .card:hover{
    background: rgb(58, 134, 255);
}
.services .serv-content .card .box{
    transition: all 0.3s ease;
}
.services .serv-content .card:hover .box{
    transform: scale(1.05);
}
.services .serv-content .card i{
    font-size: 50px;
    color: rgb(58, 134, 255);
    transition: color 0.3s ease;
}
.services .serv-content .card:hover i{
    color: #fff;
}
.services .serv-content .card .text{
    font-size: 25px;
    font-weight: 500;
    margin: 10px 0 7px 0;
}


/* skills section styling */
.skills{
    background: #111;
    color: #fff;
}
.skills .title::before{
    content: "";
    position: absolute;
    bottom: 0px;
    left: 50%;
    width: 180px;
    height: 3px;
    background: #fff;
    transform: translateX(-50%);
}
.skills .title::after{
    content: "what i know";
    background: #111;
    color: rgb(238, 198, 67);
}
.skills .skills-content .column{
    width: calc(50% - 30px);
}
.skills .skills-content .left .text{
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 10px;
    color: rgb(58, 134, 255)
}
.skills .skills-content .left p{
    text-align: justify;
    font-family: 'Varta', sans-serif;
    font-size: 18px;
}
.skills .skills-content .left a{
    display: inline-block;
    background: rgb(238, 198, 67);
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    padding: 8px 16px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid rgb(238, 198, 67);
    transition: all 0.7s ease;
}
.skills .skills-content .left a:hover{
    color: rgb(58, 134, 255);
    background: none;
}
.skills .skills-content .right .bars{
    margin-bottom: 15px;
}
.skills .skills-content .right .info{
    display: flex;
    margin-bottom: 5px;
    align-items: center;
    justify-content: space-between;
}
.skills .skills-content .right span{
    font-family: 'Indie Flower', cursive;
    font-weight: 500;
    font-size: 25px;
    color: rgb(238, 198, 67);
}
.skills .skills-content .right .line{
    height: 5px;
    width: 100%;
    background: lightgrey;
    position: relative;
}
.skills .skills-content .right .line::before{
    content: "";
    position: absolute;
    height: 100%;
    left: 0;
    top: 0;
    background: rgb(58, 134, 255);
}
.skills-content .right .html::before{
    width: 95%;
}
.skills-content .right .css::before{
    width: 60%;
}
.skills-content .right .js::before{
    width: 10%;
}
.skills-content .right .php::before{
    width: 2%;
}
.skills-content .right .mysql::before{
    width: 2%;
}

/* skills bars animated */
.skill-bars{
    padding: 25px 30px;
    width: 700px;
    background: rgb(60, 56, 56);
    box-shadow: 5px 5px 20px rgba(0,0,0,0.2);
    border-radius: 10px;
  }
  .skill-bars .bar{
    margin: 20px 0;
  }
  .skill-bars .bar:first-child{
    margin-top: 0px;
  }
  .skill-bars .bar .info{
    margin-bottom: 5px;
  }
  .skill-bars .bar .info span{
    font-weight: 500;
    font-size: 17px;
    opacity: 0;
    animation: showText 0.5s 1s linear forwards;
  }
  @keyframes showText {
    100%{
      opacity: 1;
    }
  }
  .skill-bars .bar .progress-line{
    height: 10px;
    width: 100%;
    background: #f0f0f0;
    position: relative;
    transform: scaleX(0);
    transform-origin: left;
    border-radius: 10px;
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.05),
                0 1px rgba(255,255,255,0.8);
    animation: animate 1s cubic-bezier(1,0,0.5,1) forwards;
  }
  @keyframes animate {
    100%{
      transform: scaleX(1);
    }
  }
  .bar .progress-line span{
    height: 100%;
    position: absolute;
    border-radius: 10px;
    transform: scaleX(0);
    transform-origin: left;
    background: #6665ee;
    animation: animate 1s 1s cubic-bezier(1,0,0.5,1) forwards;
  }
  .bar .progress-line.html span{
    width: 10%;
  }
  .bar .progress-line.css span{
    width: 60%;
  }
  .bar .progress-line.jquery span{
    width: 85%;
  }
  .bar .progress-line.python span{
    width: 50%;
  }
  .bar .progress-line.mysql span{
    width: 75%;
  }
  .progress-line span::before{
    position: absolute;
    content: "";
    top: -10px;
    right: 0;
    height: 0;
    width: 0;
    border: 7px solid transparent;
    border-bottom-width: 0px;
    border-right-width: 0px;
    border-top-color: #000;
    opacity: 0;
    animation: showText2 0.5s 1.5s linear forwards;
  }
  .progress-line span::after{
    position: absolute;
    top: -28px;
    right: 0;
    font-weight: 500;
    background: #000;
    color: #fff;
    padding: 1px 8px;
    font-size: 12px;
    border-radius: 3px;
    opacity: 0;
    animation: showText2 0.5s 1.5s linear forwards;
  }
  @keyframes showText2 {
    100%{
      opacity: 1;
    }
  }
  .progress-line.html span::after{
    content: "90%";
  }
  .progress-line.css span::after{
    content: "60%";
  }
  .progress-line.jquery span::after{
    content: "85%";
  }
  .progress-line.python span::after{
    content: "50%";
  }
  .progress-line.mysql span::after{
    content: "75%";
  }


.games{
    font-family:'Poppins', sans-serif;
}
.games .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 50px;
    padding-bottom: 20px;
    font-family: 'Poppins', sans-serif;
}
.games .title::before{
    content: "";
    position: absolute;
    bottom: 0px;
    left: 50%;
    width: 180px;
    height: 3px;
    background: rgb(0, 0, 0);
    transform: translateX(-50%);
}    
.games .title::after{
    font-family: 'Poppins', sans-serif;
    content: "Games";
    position: absolute;
    bottom: -14px;
    left: 50%;
    font-size: 20px;
    color: rgb(238, 198, 67);
    padding: 2px;
    background:white;
    transform: translateX(-50%);
}
.main{
    height: 30vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.box1{
    width: 150px;
    height: 200px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.197);
    background: #fff;
    overflow: hidden;
    margin: 20px;
    cursor: pointer;
    border-radius: 15px;
}
.box1 section{
    width: 150px;
    height: 200px;
}
.box1 div img{
    width: 100%;
    height: 100%;
    transform-origin: top;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.197);
    transition: transform .4s;
}
.box1:hover div img{
    transform: scale(0.8) translateY(10px);
}

  

/* contact section styling */
.contact{
    background:#fff;
}
.contact .title::after{
    content: "get in touch";
    color: rgb(238, 198, 67);
}
.contact .contact-content .column{
    width: calc(50% - 30px);
}
.contact .contact-content .text{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
    color: rgb(0, 0, 0);
}
.contact .contact-content .left p{
    text-align: justify;
}
.contact .contact-content .left .icons{
    margin: 10px 0;
}
.contact .contact-content .row{
    display: flex;
    height: 65px;
    align-items: center;
}
.contact .contact-content .row .info{
    margin-left: 30px;
}
.contact .contact-content .row i{
    font-size: 25px;
    color: rgb(58, 134, 255);
}
.contact .contact-content .info .head{
    font-weight: 500;
}
.contact .contact-content .info .sub-title{
    color: #333;
}
.contact .right form .fields{
    display: flex;
}
.contact .right form .field,
.contact .right form .fields .field{
    height: 45px;
    width: 100%;
    margin-bottom: 15px;
}
.contact .right form .textarea{
    height: 150px;
    width: 100%;
}
.contact .right form .name{
    margin-right: 10px;
}
.contact .right form .email{
    margin-left: 10px;  
}
.contact .right form .field input,
.contact .right form .textarea textarea{
    height: 100%;
    width: 100%;
    border: 1px solid lightgrey;
    border-radius: 6px;
    outline: none;
    padding: 0 15px;
    font-size: 17px;
    font-family: 'Poppins', sans-serif;
    transition: all 0.3s ease;
}
.contact .right form .field input:focus,
.contact .right form .textarea textarea:focus{
    border-color: #b3b3b3;
}
.contact .right form .textarea textarea{
    padding-top: 10px;
    resize: none;
}
.contact .right form .button{
    height: 47px;
    width: 170px;
}
.contact .right form .button button{
    width: 100%;
    height: 100%;
    border: 2px solid rgb(238, 198, 67);
    background: rgb(238, 198, 67);
    color: #fff;
    outline: none;
    font-size: 20px;
    font-weight: 500;
    border-radius: 6px;
    cursor: pointer;
    transition: all 0.3s ease;
}
.contact .right form .button button:hover{
    color: black;
    background: none;
}

/* footer section styling */
footer{
    background: #111;
    padding: 15px 23px;
    color: #fff;
    text-align: center;
}
footer span a{
    color: rgb(238, 198, 67);
    text-decoration: none;
}
footer span a:hover{
    text-decoration: underline;
}


/* media query responsive */
@media (max-width: 1410px){
    .home .max-header{
        margin-left: 0px;
    }
    
    .skill-bars{
        width: 600px;
      }
}
@media (max-width: 1300px){
    .home .max-header{
        margin-left: 0px;
    }
    .skill-bars{
        width: 550px;
      }
}
@media (max-width: 1104px){
    .about .about-content .left img{
        height: 350px;
        width: 350px;
    }
    .skill-bars{
        width: 450px;
      }
}
@media (max-width: 991px){
    .max-header {
        padding: 0 50px;
    }
    .skill-bars{
        width: 400px;
      }
}
@media (max-width: 947px){
    .menu-btn{
        display: block;
        z-index: 999;
    }
    .menu-btn i.active::before{
        content: "\f00d";
    }
    .navbar .menu{
        position: fixed;
        height: 100vh;
        width: 100%;
        left: -100%;
        top: 0;
        background: black;
        text-align: center;
        padding-top: 80px;
        transition: all 0.8s ease;
    }
    .navbar .menu.active{
        left: 0;
    }
    .navbar .menu li{
        display: block;
    }
    .navbar .menu li a{
        display: inline-block;
        margin: 20px;
        font-size: 25px;
    }
    .home .contenido-inicio .text-2 {
        font-size: 70px;
    }   
    .home .contenido-inicio .text-3 {
        font-size: 35px;
    }
    .home .contenido-inicio a{
        font-size: 23px;
        padding: 10px 30px;
    }
    .max-header {
        max-width: 800px;
    }
    .about .about-content .column{
        width: 100%;
    }
    .about .about-content .left{
        display: flex;
        justify-content: center;
        margin: 0 auto 60px;
    }
    .about .about-content .right{
        flex: 100%;
        text-align: center;
    }
    .about .about-content .right .text{
        text-align: center;
    }
    .skills .skills-content .column,
    .contact .contact-content .column{
        width: 100%;
        margin-bottom: 35px;
    }
    .skill-bars{
        width: 700px;
      }
    
    .box1{
        width: 150px;
        height: 180px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.197);
        background: #fff;
        overflow: hidden;
        margin: 20px;
        cursor: pointer;
        border-radius: 15px;
    }
}
@media (max-width: 770px){
    .skill-bars{
        width: 590px;
      }
      .skills-content p{
        width: 590px;
    }
    .box1{
        width: 150px;
        height: 165px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.197);
        background: #fff;
        overflow: hidden;
        margin: 20px;
        cursor: pointer;
        border-radius: 15px;
    }
}

@media (max-width: 690px){
    .max-header {
        padding: 0 23px;
    }
    .home .contenido-inicio .text-2 {
        font-size: 60px;
    }   
    .home .contenido-inicio .text-3 {
        font-size: 32px;
    }
    .home .contenido-inicio a{
        font-size: 20px;
    }
    .skill-bars{
        width: 580px;
      }
      .skills-content p{
          width: 580px;
      }
      .box1{
        width: 150px;
        height: 150px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.197);
        background: #fff;
        overflow: hidden;
        margin: 20px;
        cursor: pointer;
        border-radius: 15px;
    }
}
@media (max-width: 630px){
    .skill-bars{
        width: 510px;      
      }
      .skills-content p{
        width: 510px;
    }
    .skill-bars,.skills-content, .skills-content p{
        text-align: center;
        margin: 10px  5px;
    }
    .about .about-content .right{
        text-align: center;
    }
    .about .about-content .right .text{
        text-align: center;
    }
    .box1{
        width: 150px;
        height: 135px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.197);
        background: #fff;
        overflow: hidden;
        margin: 20px;
        cursor: pointer;
        border-radius: 15px;
    }
}
@media (max-width: 560px){
    .skill-bars{
        width: 450px;      
      }
      .skills-content p{
        width: auto;
    }
}
@media (max-width: 500px){
    .max-header {
        padding: 0 23px;
    }
    .home .contenido-inicio .text-2 {
        font-size: 50px;
    }   
    .home .contenido-inicio .text-3 {
        font-size: 27px;
    }
    .about .about-content .right .text,
    .skills .skills-content .left .text{
        font-size: 19px;
    }
    .contact .right form .fields{
        flex-direction: column;
    }
    .contact .right form .name,
    .contact .right form .email{
        margin: 0;
    }
    .scroll-up-btn{
        right: 15px;
        bottom: 15px;
        height: 38px;
        width: 35px;
        font-size: 23px;
        line-height: 38px;
    }
    .skill-bars{
        width: 430px;
      }
}
